package com.bonus.canteen.core.order.deprecated.constants;

/** @deprecated */
@Deprecated
public enum OrdTypeEnum {
   ORD_TYPE_CANTEEN(1, "食堂"),
   ORD_TYPE_SHOP(2, "商城"),
   ORD_TYPE_VISITOR(4, "访客盘"),
   SUPERMARKET(12, "超市"),
   PRE_SUPERMARKET(13, "预定超市"),
   ORD_TYPE_OUT_RESERVE(10, "外部预定");

   private final Integer key;
   private final String desc;

   private OrdTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      OrdTypeEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         OrdTypeEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
